# class Chef::FileContentManagement::Tempfile

### Attributes

new_resource[R]

### Public Class Methods

new(new_resource) click to toggle source

    # File lib/chef/file_content_management/tempfile.rb, line 27
    def initialize(new_resource)
      @new_resource = new_resource
    end

### Public Instance Methods

tempfile() click to toggle source

    # File lib/chef/file_content_management/tempfile.rb, line 31
    def tempfile
      @tempfile ||= tempfile_open
    end